<template>
  <div>
    <h1 class="mb-6">Have you ever been prescribed nitrates or nitroglycerin?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        v-model="selected"
        :input-value="choice"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      :disabled="!selected"
      text="Next"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, referMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";

export default {
  components: {CommonBtn, RadioInput},
  mixins: [answersMixin, referMixin],
  name: "YourHealth17",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_17')
    }
  },
  data() {
    return {
      choices: [
        'Yes',
        'No'
      ],
      selected: null,
    }
  },
  methods: {
    handleClick() {
      if (this.selected === 'Yes') {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD. The medications we offer are not suitable for patients who have taken nitrates. Combining nitrates with prescription ED medication can result in strokes, heart attacks, and other serious health issues.')
      } else {
        this.$emit('nextStage')
      }
    }
  }
}
</script>

<style scoped>

</style>
